org.apache.sysds.runtime.functionobjects

## Class DiagIndex

- java.lang.Object
- - org.apache.sysds.runtime.functionobjects.FunctionObject
  - - org.apache.sysds.runtime.functionobjects.IndexFunction
    - - org.apache.sysds.runtime.functionobjects.DiagIndex

- All Implemented Interfaces:
    Serializable

      public class DiagIndex
      extends IndexFunction

  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `computeDimension(DataCharacteristics in, DataCharacteristics out)`
    `boolean` | `computeDimension(int row, int col, MatrixValue.CellIndex retDim)`
    `void` | `execute(MatrixIndexes in, MatrixIndexes out)`
    `void` | `execute(MatrixValue.CellIndex in, MatrixValue.CellIndex out)`
    `static DiagIndex` | `getDiagIndexFnObject()`
    `static DiagIndex` | `getDiagIndexFnObject(boolean v2m)`

    - ### Methods inherited from class org.apache.sysds.runtime.functionobjects.FunctionObject

      `clone, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getDiagIndexFnObject

          public static DiagIndex getDiagIndexFnObject()

    - #### getDiagIndexFnObject

          public static DiagIndex getDiagIndexFnObject(boolean v2m)

    - #### execute

          public void execute(MatrixIndexes in,
                              MatrixIndexes out)

      Specified by:
        `execute` in class `IndexFunction`

    - #### execute

          public void execute(MatrixValue.CellIndex in,
                              MatrixValue.CellIndex out)

      Specified by:
        `execute` in class `IndexFunction`

    - #### computeDimension

          public boolean computeDimension(int row,
                                          int col,
                                          MatrixValue.CellIndex retDim)

      Specified by:
        `computeDimension` in class `IndexFunction`

    - #### computeDimension

          public boolean computeDimension(DataCharacteristics in,
                                          DataCharacteristics out)

      Specified by:
        `computeDimension` in class `IndexFunction`

Copyright © 2021 The Apache Software Foundation. All rights reserved.